package cn.com.poc.thirdparty.resource.demand.ai.entity.knowledge;

import cn.com.poc.thirdparty.resource.demand.dgTools.request.AbstractRequest;

import java.io.Serializable;

public class TrainKnowledgeRequest extends AbstractRequest<TrainKnowledgeResult> implements Serializable {

    private String documentUrl;

    private SegmentationConfigRequest segmentationConfig;

    public SegmentationConfigRequest getSegmentationConfig() {
        return segmentationConfig;
    }

    public void setSegmentationConfig(SegmentationConfigRequest segmentationConfig) {
        this.segmentationConfig = segmentationConfig;
    }

    public String getDocumentUrl() {
        return documentUrl;
    }

    public void setDocumentUrl(String documentUrl) {
        this.documentUrl = documentUrl;
    }

    @Override
    public String getMethod() throws Exception {
        return null;
    }
}
